Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagAttributeInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagAttributeInfo

public class TagAttributeInfo
extends java.lang.Object

Information about tag attributes. This information comes from the Tag Library Descriptor (TLD). Generally, a TagExtraInfo class will grab this information from the TagLibraryInfo class. ``

     <tag>
       <name>foo</name>
       <tagclass>com.caucho.tags.FooTag</tagclass>

       <attribute>
         <name>bar</name>
         <required>true</required>
         <rtexprvalue>false</rtexprvalue>
     </tag>

Field Summary
`static java.lang.String` | `ID` ID is "id"

Constructor Summary
`TagAttributeInfo(java.lang.String name, boolean required, java.lang.String type, boolean reqTime)` Creates a new TagAttributeInfo object.

Method Summary
`boolean` | `canBeRequestTime()` Returns true if the attribute can be a request time attribute (<%= ...
`static TagAttributeInfo` | `getIdAttribute(TagAttributeInfo[] a, java.lang.String id)` Convenience for finding a TagAttributeInfo in a TagAttributeInfo array.
`java.lang.String` | `getName()` Returns the attribute name
`java.lang.String` | `getTypeName()` Returns the type name of the attribute.
`boolean` | `isRequired()` True if the attribute must exist in the tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static java.lang.String ID

  ID is "id"

Constructor Detail

### TagAttributeInfo

    public TagAttributeInfo(java.lang.String name,
                            boolean required,
                            java.lang.String type,
                            boolean reqTime)

  Creates a new TagAttributeInfo object. Only the JSP engine will call this. It's not intended to be a public constructor.
  Parameters:
    `name` - the name of the attribute
    `required` - true if the attribute must be present in the tag
    `reqTime` - true if the attribute can be a request time attribute
    `type` - the Java type of the attribute

Method Detail

### getName

    public java.lang.String getName()

  Returns the attribute name

### getTypeName

    public java.lang.String getTypeName()

  Returns the type name of the attribute.

### canBeRequestTime

    public boolean canBeRequestTime()

  Returns true if the attribute can be a request time attribute (<%= ... %>).

### isRequired

    public boolean isRequired()

  True if the attribute must exist in the tag.

### getIdAttribute

    public static TagAttributeInfo getIdAttribute(TagAttributeInfo[] a,
                                                  java.lang.String id)

  Convenience for finding a TagAttributeInfo in a TagAttributeInfo array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD